package com.sunxung.factoring.entity.financing.apply;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 验收单-货物信息表
 * </p>
 *
 * @author yafan
 * @since 2023-12-19
 */
@TableName("c_acceptance_goods_info")
public class CAcceptanceGoodsInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 验收单基础信息表id
     */
    @TableField("c_acceptance_basic_info_id")
    private Long cAcceptanceBasicInfoId;

    /**
     * 验收单编号 + 0 + 序号
     */
    @TableField("acceptance_goods_number")
    private String acceptanceGoodsNumber;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    private String goodsName;

    /**
     * 货物材质
     */
    @TableField("goods_material")
    private String goodsMaterial;

    /**
     * 型号
     */
    @TableField("goods_type")
    private String goodsType;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;

    /**
     * 单位
     */
    @TableField("goods_unit")
    private String goodsUnit;

    /**
     * 数量
     */
    @TableField("goods_quantity")
    private BigDecimal goodsQuantity;

    /**
     * 验收日期
     */
    @TableField("acceptance_date")
    private Date acceptanceDate;

    /**
     * 销售单价
     */
    @TableField("sales_price")
    private BigDecimal salesPrice;


    /**
     * 参考价格
     */
    @TableField("reference_price")
    private BigDecimal referencePrice;

    /**
     * 浮动单价
     */
    @TableField("floating_price")
    private BigDecimal floatingPrice;

    /**
     * 是否做融资
     */
    @TableField("is_financing")
    private Boolean financing;

    @TableField(exist = false)
    private Long goodsId;

    @TableField(exist = false)
    private String salesPriceStr;
    /**
     * 销售总价
     */
    @TableField(exist = false)
    private BigDecimal salesTotalPrice;
    /**
     * 销售质保金
     */
    @TableField(exist = false)
    private BigDecimal salesGuaranteeMoney;
    /**
     * 采购单价
     */
    @TableField(exist = false)
    private BigDecimal purchasePrice;
    /**
     * 采购总价
     */
    @TableField(exist = false)
    private BigDecimal purchaseTotalPrice;
    /**
     * 采购质保金
     */
    @TableField(exist = false)
    private BigDecimal purchGuaranteeMoney;

    /**
     * 结算单基础信息Id
     */
    @TableField(exist = false)
    private Long settlementBasicInfoId;

    /**
     * 结算单货物信息Id
     */
    @TableField(exist = false)
    private Long settlementGoodsInfoId;

    /**
     * 预计结算日期
     */
    @TableField(exist = false)
    private Date expectedSettlementDate;

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsMaterial() {
        return goodsMaterial;
    }

    public void setGoodsMaterial(String goodsMaterial) {
        this.goodsMaterial = goodsMaterial;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public BigDecimal getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(BigDecimal goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

    public Date getAcceptanceDate() {
        return acceptanceDate;
    }

    public void setAcceptanceDate(Date acceptanceDate) {
        this.acceptanceDate = acceptanceDate;
    }

    public Long getcAcceptanceBasicInfoId() {
        return cAcceptanceBasicInfoId;
    }

    public void setcAcceptanceBasicInfoId(Long cAcceptanceBasicInfoId) {
        this.cAcceptanceBasicInfoId = cAcceptanceBasicInfoId;
    }

    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    public BigDecimal getReferencePrice() {
        return referencePrice;
    }

    public void setReferencePrice(BigDecimal referencePrice) {
        this.referencePrice = referencePrice;
    }

    public BigDecimal getFloatingPrice() {
        return floatingPrice;
    }

    public void setFloatingPrice(BigDecimal floatingPrice) {
        this.floatingPrice = floatingPrice;
    }

    public String getSalesPriceStr() {
        return salesPriceStr;
    }

    public void setSalesPriceStr(String salesPriceStr) {
        this.salesPriceStr = salesPriceStr;
    }

    public BigDecimal getSalesTotalPrice() {
        return salesTotalPrice;
    }

    public void setSalesTotalPrice(BigDecimal salesTotalPrice) {
        this.salesTotalPrice = salesTotalPrice;
    }

    public BigDecimal getSalesGuaranteeMoney() {
        return salesGuaranteeMoney;
    }

    public void setSalesGuaranteeMoney(BigDecimal salesGuaranteeMoney) {
        this.salesGuaranteeMoney = salesGuaranteeMoney;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public BigDecimal getPurchaseTotalPrice() {
        return purchaseTotalPrice;
    }

    public void setPurchaseTotalPrice(BigDecimal purchaseTotalPrice) {
        this.purchaseTotalPrice = purchaseTotalPrice;
    }

    public BigDecimal getPurchGuaranteeMoney() {
        return purchGuaranteeMoney;
    }

    public void setPurchGuaranteeMoney(BigDecimal purchGuaranteeMoney) {
        this.purchGuaranteeMoney = purchGuaranteeMoney;
    }

    public String getAcceptanceGoodsNumber() {
        return acceptanceGoodsNumber;
    }

    public void setAcceptanceGoodsNumber(String acceptanceGoodsNumber) {
        this.acceptanceGoodsNumber = acceptanceGoodsNumber;
    }

    public CAcceptanceGoodsInfo() {
    }

    public Long getSettlementBasicInfoId() {
        return settlementBasicInfoId;
    }

    public void setSettlementBasicInfoId(Long settlementBasicInfoId) {
        this.settlementBasicInfoId = settlementBasicInfoId;
    }

    public Long getSettlementGoodsInfoId() {
        return settlementGoodsInfoId;
    }

    public void setSettlementGoodsInfoId(Long settlementGoodsInfoId) {
        this.settlementGoodsInfoId = settlementGoodsInfoId;
    }

    public Date getExpectedSettlementDate() {
        return expectedSettlementDate;
    }

    public void setExpectedSettlementDate(Date expectedSettlementDate) {
        this.expectedSettlementDate = expectedSettlementDate;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public Boolean getFinancing() {
        return financing;
    }

    public void setFinancing(Boolean financing) {
        this.financing = financing;
    }
}
